# PutObjectAcl

Set's objects visibility. At the moment, for security and simplicity of use ColdStack supports only `private` and `publlic-read`  canned ACLs.

### Request <a href="#request" id="request"></a>

```http
PUT /{bucket}/{key}?acl HTTP/1.1
X-Amz-ACL: {CannedACL}
```

#### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter   | Description                                                  |
| ----------- | ------------------------------------------------------------ |
| `bucket`    | Name of the bucket.                                          |
| `key`       | Key of the object.                                           |
| `CannedACL` | The canned ACL setting. Should be `private` or `public-read` |

#### Headings <a href="#request-headers" id="request-headers"></a>

Use only [generic headers](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-request-headers) in your request .

### Response <a href="#response" id="response"></a>

#### Headings <a href="#response-headers" id="response-headers"></a>

The response can only contain [general headers](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-response-headers) .

#### Response codes <a href="#response-codes" id="response-codes"></a>

For a list of possible responses, see the [Responses](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/answers) section .

A successful response does not contain additional data and means that the object was successfully renamed.
